org.eclipse.ease.lang.unittest.definition.util

## Class DefinitionResourceFactory

- java.lang.Object
- - org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
  - - org.eclipse.ease.lang.unittest.definition.util.DefinitionResourceFactory

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory

    public class DefinitionResourceFactory
    extends org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl

The Resource Factory associated with the package.

See Also:
  `DefinitionResource`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

### Constructor Summary

Constructors
Constructor and Description
`DefinitionResourceFactory()` Creates an instance of the resource factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefinitionResourceFactory

    public DefinitionResourceFactory()

Creates an instance of the resource factory.

### Method Detail

#### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

Creates an instance of the resource.

Specified by:
  `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
Overrides:
  `createResource` in class `org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl`